# OSU Person

This gem contains logic for validating an osu person's email and name.#. It also
can strip a name.# from an osu email address.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'osu_person'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install osu_person

## Usage

```ruby
  OSU::Email.valid?("buckeye.614@osu.edu") # => true
  OSU::Email.valid?("buckeye@osu.edu") # => false

  OSU::Email.new("buckeye.614@osu.edu").name_n # => 'buckeye.614'
  OSU::Email.new("buckeye@osu.edu") # => # => raises InvalidEmailError

  OSU::NameN.valid?("buckeye.614") # => true
  OSU::NameN.valid?("buckeye-.614") # => false
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on code.osu.edu at https://code.osu.edu/asctech/osu_person. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the OsuPerson project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://code.osu.edu/asctech/osu_person/blob/master/CODE_OF_CONDUCT.md).
